Alat: list_merchants
Mengambil daftar semua profil bisnis penjual Google Pay yang terkait dengan akun terautentikasi.
Contoh berikut menunjukkan cara menggunakan curl untuk memanggil alat MCP list_merchants.
| Permintaan Curl |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_merchants", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Skema Input
Pesan permintaan untuk mencantumkan penjual.
Skema Output
Pesan respons untuk mencantumkan penjual.
ListMerchantsResponse
| Representasi JSON |
|---|
{
"merchants": [
{
object ( |
| Kolom | |
|---|---|
merchants[] |
Informasi dasar penjual yang dapat diakses pengguna. |
Penjual
| Representasi JSON |
|---|
{ "merchantId": string, "displayName": string, "regionCode": string } |
| Kolom | |
|---|---|
merchantId |
Hanya output. ID unik penjual. |
displayName |
Opsional. Nama tampilan penjual. |
regionCode |
Opsional. Kode wilayah lokasi bisnis penjual. Formatnya adalah kode wilayah Unicode CLDR, misalnya, "US". |
Anotasi Alat
Petunjuk Destruktif: ❌ | Petunjuk Idempoten: ✅ | Petunjuk Hanya Baca: ✅ | Petunjuk Dunia Terbuka: ❌